!  2Dutil2.inc 
! replace 2Dutil.inc (the two files can't be used simultaneously)

!---------------------------------------------------------------------------
! added statements for 2D spectra
!---------------------------------------------------------------------------

.time	extern autofix aqtm2= 0.1us;
.long	halfal,Hyper;
.long	extern Hyper_flag	= 0;
.time	extern t1_evol		= 0.1us;
.time	extern t1_out		= 5.0us;
.time	extern t1_out_1		= 5.0us;
.time	extern t1_out_2		= 5.0us;
.freq	extern	sw2		"dim 2 spectrum width"	= 40KHz;
.phase	phi_mix = 0;
.phase	phi_hcx = 90;

define AL_ERR 0x220
define AL_ERROR_CODE USER_ERROR_BASE + AL_ERR
comment "ERROR "AL_ERROR_CODE "al must be even number";

.update "sw2  = 1/(1000*dw2)";
.update	"aqtm2=(dw2*al2)";
.update	"aqtm=(dw*al/(Hyper_flag+1))";
.update "time2d=(al2*time1d)/60.";

DEFINE CALC_HALFAL
	if (al2==1 && Hyper_flag==0) {
		halfal = al;
	}
	else {
		if (al%2==0) {
			halfal = al/2;
			Hyper_flag = 1;
		}
		else { error(AL_ERR); }
	}
	aqtm=dw*halfal;
ENDDEF

DEFINE STATES_LOOP
	ch ALL;
	States_Flag = 0;
	WHILE States_Flag < 2;
	{}
	ch ALL;
	States_Flag++;
	NEXT;	
ENDDEF

DEFINE HC_SCAN(tau_)
	if (States_Flag == 0) 	{out  tau_;}
	else					{scan tau_;}
ENDDEF
