! ---------------------------------------------------
! Define parameters recquired for
! ---------------------------------------------------

	.long extern nac;

! ---------------------------------------------------
! Define error codes specific to na mismatch
! ---------------------------------------------------

define NA000_ERR 0x900
define NA000_ERROR_CODE USER_ERROR_BASE + NA000_ERR
comment "ERROR "NA000_ERROR_CODE "wrong na, please contact with Jurek";
 
define NA004_ERR 0x904
define NA004_ERROR_CODE USER_ERROR_BASE + NA004_ERR
comment "ERROR "NA004_ERROR_CODE "na must be multipy of 4";
 
define NA008_ERR 0x908
define NA008_ERROR_CODE USER_ERROR_BASE + NA008_ERR
comment "ERROR "NA008_ERROR_CODE "na must be multipy of 8";
 
define NA012_ERR 0x912
define NA012_ERROR_CODE USER_ERROR_BASE + NA012_ERR
comment "ERROR "NA012_ERROR_CODE "na must be multipy of 12";
 
define NA016_ERR 0x916
define NA016_ERROR_CODE USER_ERROR_BASE + NA016_ERR
comment "ERROR "NA016_ERROR_CODE "na must be multipy of 16";
 
define NA020_ERR 0x920
define NA020_ERROR_CODE USER_ERROR_BASE + NA020_ERR
comment "ERROR "NA020_ERROR_CODE "na must be multipy of 20";
 
define NA024_ERR 0x924
define NA024_ERROR_CODE USER_ERROR_BASE + NA024_ERR
comment "ERROR "NA024_ERROR_CODE "na must be multipy of 24";
 
define NA032_ERR 0x932
define NA032_ERROR_CODE USER_ERROR_BASE + NA032_ERR
comment "ERROR "NA032_ERROR_CODE "na must be multipy of 32";
 
define NA040_ERR 0x940
define NA040_ERROR_CODE USER_ERROR_BASE + NA040_ERR
comment "ERROR "NA040_ERROR_CODE "na must be multipy of 40";
 
define NA048_ERR 0x948
define NA048_ERROR_CODE USER_ERROR_BASE + NA048_ERR
comment "ERROR "NA048_ERROR_CODE "na must be multipy of 48";
 
define NA256_ERR 0x956
define NA256_ERROR_CODE USER_ERROR_BASE + NA256_ERR
comment "ERROR "NA256_ERROR_CODE "na must be multipy of 256";
 
define NA160_ERR 0x960
define NA160_ERROR_CODE USER_ERROR_BASE + NA160_ERR
comment "ERROR "NA160_ERROR_CODE "na must be multipy of 160";
 
define NA064_ERR 0x964
define NA064_ERROR_CODE USER_ERROR_BASE + NA064_ERR
comment "ERROR "NA064_ERROR_CODE "na must be multipy of 64";
 
define NA080_ERR 0x980
define NA080_ERROR_CODE USER_ERROR_BASE + NA080_ERR
comment "ERROR "NA080_ERROR_CODE "na must be multipy of 80";
 
define NA192_ERR 0x992
define NA192_ERROR_CODE USER_ERROR_BASE + NA192_ERR
comment "ERROR "NA192_ERROR_CODE "na must be multipy of 192";
 
define NA096_ERR 0x996
define NA096_ERROR_CODE USER_ERROR_BASE + NA096_ERR
comment "ERROR "NA096_ERROR_CODE "na must be multipy of 96";
 
DEFINE CHECK_NA( nac )
	if ( na%nac>0 ) {
		if ( nac==4 )	{ error(NA004_ERR); }
		if ( nac==8 )	{ error(NA008_ERR); }
		if ( nac==12 )	{ error(NA012_ERR); }
		if ( nac==16 )	{ error(NA012_ERR); }
		if ( nac==20 )	{ error(NA020_ERR); }
		if ( nac==24 )	{ error(NA024_ERR); }
		if ( nac==32 )	{ error(NA032_ERR); }
		if ( nac==40 )	{ error(NA040_ERR); }
		if ( nac==48 )	{ error(NA048_ERR); }
		if ( nac==64 )	{ error(NA064_ERR); }
		if ( nac==80 )	{ error(NA080_ERR); }
		if ( nac==96 )	{ error(NA096_ERR); }
		if ( nac==160 )	{ error(NA160_ERR); }
		if ( nac==192 )	{ error(NA192_ERR); }
	}
ENDDEF

